Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #317

Tray icon missing after restarting xfce4-panel
July 12, 2013 12:39 - Marcin Kocur

Status: Closed Start date: July 12,2013
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/statusicon Estimated time: 0.00 hour
Target version: 3.4.1

Affects version: 3.4

Description

Audacious is playing music, status icon is enabled, now I'm restarting xfce4 pannel:
dbus-send --session --dest=0rg.xfce.Panel /org/xfce/Panel org.xfce.Panel.Terminate boolean:'true'
Audacious is still playing music, but there is no tray icon.

This bug exists in version 3.4 but there is no such one in bugtracker.

History

#1 - July 16, 2013 02:24 - John Lindgren

Does the same happen with other programs that use GtkStatuslcon?

#2 - July 17, 2013 12:00 - Marcin Kocur
- File taskbar.png added

John Lindgren wrote:

Does the same happen with other programs that use GtkStatuslcon?

Come on, | don't know what certain app uses to display tray icon :P Please look at my attachment. | have there thunderbird, xfce's file copying status
icon, psi, liferea (rss reader for xfce) and | know also gbittorrent and konversation don't have such problems. Audacious is the only app which icon
disappears.

#3 - July 17, 2013 21:38 - Thomas Lange

- File notification _area.png added

Are you talking about the "Notification Area" or the "Window Buttons" item in the Xfce panel?
If is is the latter, check its settings. Maybe "Hidden" is enabled for Audacious.

#4 - July 17, 2013 21:39 - Thomas Lange

latter -> former...
#5 - July 18, 2013 01:24 - Marcin Kocur

Thomas Lange wrote:

Are you talking about the "Notification Area" or the "Window Buttons" item in the Xfce panel?
If is is the latter, check its settings. Maybe "Hidden" is enabled for Audacious.

Wow, | didn't even know there is such feature in xfce! ;)

But no, audacious is not ticked to be hidden.

#6 - July 18, 2013 02:24 - Thomas Lange

You haven't answered my question, so
1. Do you mean the icon in the Notification area (with enabled Statuslcon plugin) or simply the tabbar entry?
2. Have you tried to reproduce this with a clean user profile?

#7 - July 20, 2013 13:21 - Marcin Kocur

Finally! | was able to reproduce this bug with a clean profile! :)
Thomas Lange wrote:

You haven't answered my question, so
1. Do you mean the icon in the Notification area (with enabled Statuslcon plugin) or simply the tabbar entry?

| mean tray/notification icon enabled by statusicon.so

2. Have you tried to reproduce this with a clean user profile?

Yes, here's the way you should be able to do it:

Enable in general plugins configuration both statusicon and global hotkeys (hotkey.so). Restart audacious. Now you can restart xfce panel with
provided dbus command (or killall xfce4-panel && xfce4-panel but dbus is more elegant). The status icon is missing.
#8 - July 20, 2013 14:16 - Thomas Lange

xfce4-panel -r is even more elegant. ;)
Anyway, | am able to reproduce this with enabled hotkey plugin.

#9 - July 20, 2013 18:04 - Marcin Kocur
Glad to hear that :) Fixing this issue should also improve user's experience in other DE's when panel crashes or it's configuration is changed.
| didn't know -r argument. Well, | was wondering if there is any proper way of killing a generic graphical application like audacious from command line.

The only thing | found was dbus-send --session --dest=org.atheme.audacious /org/atheme/audacious org.atheme.audacious.Quit but it's not very
convenient.

#10 - July 21, 2013 22:50 - John Lindgren

Marcin Kocur wrote:

Well, | was wondering if there is any proper way of killing a generic graphical application like audacious from command line.

pkill audacious, or audtool shutdown.

#11 - July 21, 2013 23:20 - John Lindgren
- Status changed from New to Closed

- Target version set to 3.4.1

- % Done changed from 0 to 100

- Affects version 3.4 added

Enable in general plugins configuration both statusicon and global hotkeys (hotkey.so).

Thanks for that information. You should have stated from the start that you had enabled the hotkeys plugin.

Fixed:
https://github.com/audacious-media-player/audacious-plugins/commit/928dea8660db554{678fa3f164221eda67f221d9

#12 - July 22, 2013 01:15 - Marcin Kocur

John Lindgren wrote:

pkill audacious, or audtool shutdown.
https://github.com/audacious-media-player/audacious-plugins/commit/928dea8660db554f678fa3f164221eda67f221d9

The first method is wrong because it doesn't save application's configuration, and the second works only with audacious. But | guess it's not a
guestion to be asked here.

Enable in general plugins configuration both statusicon and global hotkeys (hotkey.so).

Thanks for that information. You should have stated from the start that you had enabled the hotkeys plugin.

| would if | knew that hotkeys could be related to status icon. Seriously - would you come up on that? ;p

Fixed:
https://github.com/audacious-media-player/audacious-plugins/commit/928dea8660db554{678fa3f164221eda67f221d9

Thanks! ;)

Files

taskbar.png 8.55 KB July 17,2013 Marcin Kocur
notification_area.png 34.2 KB July 17,2013 Thomas Lange

July 15, 2025 4/4


https://github.com/audacious-media-player/audacious-plugins/commit/928dea8660db554f678fa3f164221eda67f221d9
http://www.tcpdf.org

